tidy.acf {broom} | R Documentation

## Tidy a(n) acf object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'acf'
    tidy(x, ...)

### Arguments

`x` | An `acf` object created by `stats::acf()`, `stats::pacf()` or `stats::ccf()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A tibble::tibble with columns:

`lag` | lag values
`acf` | calculated correlation

### See Also

`tidy()`, `stats::acf()`, `stats::pacf()`, `stats::ccf()`

Other time series tidiers: `tidy.spec`, `tidy.ts`, `tidy.zoo`

### Examples

    tidy(acf(lh, plot = FALSE))
    tidy(ccf(mdeaths, fdeaths, plot = FALSE))
    tidy(pacf(lh, plot = FALSE))

[Package broom version 0.5.2 Index]